com.informix.asf

## Class HttpBufferedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.BufferedInputStream
      - - com.informix.asf.HttpBufferedInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class HttpBufferedInputStream
    extends java.io.BufferedInputStream

### Field Summary

### Fields inherited from class java.io.BufferedInputStream

`buf, count, marklimit, markpos, pos`

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`HttpBufferedInputStream(java.io.InputStream i, HttpConnection http, java.lang.String id)`

### Method Summary

Methods
`int` `read()` reads a byte from the inputstream.
`int` `read(byte[] b)` reads into an array of bytes.
`int` `read(byte[] b, int offset, int length)` reads into an array of bytes.
`int` `skip(int n)` Skips exactly `n` bytes of input in the underlying input stream.

### Methods inherited from class java.io.BufferedInputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpBufferedInputStream

    public HttpBufferedInputStream(java.io.InputStream i,
                           HttpConnection http,
                           java.lang.String id)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### read

    public final int read()
                   throws java.io.IOException

reads a byte from the inputstream. blocks till some input is available

Overrides:
  `read` in class `java.io.BufferedInputStream`
Returns:
  the byte read from the inputstream.
Throws:
  `java.io.IOException` - In case of I/O error.

#### read

    public final int read(byte[] b)
                   throws java.io.IOException

reads into an array of bytes. blocks till some input is available

Overrides:
  `read` in class `java.io.FilterInputStream`
Parameters:
  `b` - byte array to read into.
Returns:
  the number of bytes read or -1 if end of stream is reached
Throws:
  `java.io.IOException` - In case of I/O error.

#### read

    public final int read(byte[] b,
           int offset,
           int length)
                   throws java.io.IOException

reads into an array of bytes. blocks till some input is available

Overrides:
  `read` in class `java.io.BufferedInputStream`
Parameters:
  `b` - byte array to read into.
  `offset` - the offset of the data.
  `length` - the maximum number of bytes to read.
Returns:
  the number of bytes read or -1 if end of stream is reached
Throws:
  `java.io.IOException` - In case of I/O error.

#### skip

    public final int skip(int n)
                   throws java.io.IOException

Skips exactly `n` bytes of input in the underlying input stream. This method blocks until all the bytes are skipped, the end of the stream is detected, or an exception is thrown.

Parameters:
  `n` - the number of bytes to be skipped.
Returns:
  the number of bytes skipped, which is always `n`.
Throws:
  `java.io.EOFException` - if this input stream reaches the end before skipping all the bytes.
  `java.io.IOException` - if an I/O error occurs.